package com.huimv.manager.dao.entity;

import javax.persistence.*;
import java.io.Serializable;
import java.sql.Timestamp;

@Entity
@Table(name = "image_path")
public class ImagePathEntity implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    @Column(name = "id", nullable = false)
    private Integer id;

    /**
     * 摄像机名称
     */
    @Column(name = "name")
    private String name;

    /**
     * 文件相对路径
     */
    @Column(name = "img_path")
    private String imgPath;

    /**
     * 文件绝对路径
     */
    @Column(name = "relative_path")
    private String relativePath;

    /**
     * 文件名称
     */
    @Column(name = "file_name")
    private String fileName;

    /**
     * 是否有效(1:有效 0:无效)
     */
    @Column(name = "effective")
    private Integer effective;

    /**
     * AI识别结果
     */
    @Column(name = "ai_result")
    private String aiResult;

    /**
     * AI用时
     */
    @Column(name = "ai_time_used")
    private Integer aiTimeUsed;

    /**
     * AI数据
     */
    @Column(name = "ai_data")
    private String aiData;

    @Column(name = "create_date")
    private Timestamp createDate;

    /**
     * 识别出猪的数量
     */
    @Column(name = "pig_quantity")
    private Integer pigQuantity;

    /**
     * 主键
     */
    public void setId(Integer id) {
        this.id = id;
    }

    /**
     * 主键
     */
    public Integer getId() {
        return id;
    }

    /**
     * 摄像机名称
     */
    public void setName(String name) {
        this.name = name;
    }

    /**
     * 摄像机名称
     */
    public String getName() {
        return name;
    }

    /**
     * 文件相对路径
     */
    public void setImgPath(String imgPath) {
        this.imgPath = imgPath;
    }

    /**
     * 文件相对路径
     */
    public String getImgPath() {
        return imgPath;
    }

    /**
     * 文件绝对路径
     */
    public void setRelativePath(String relativePath) {
        this.relativePath = relativePath;
    }

    /**
     * 文件绝对路径
     */
    public String getRelativePath() {
        return relativePath;
    }

    /**
     * 文件名称
     */
    public void setFileName(String fileName) {
        this.fileName = fileName;
    }

    /**
     * 文件名称
     */
    public String getFileName() {
        return fileName;
    }

    /**
     * 是否有效(1:有效 0:无效)
     */
    public void setEffective(Integer effective) {
        this.effective = effective;
    }

    /**
     * 是否有效(1:有效 0:无效)
     */
    public Integer getEffective() {
        return effective;
    }

    /**
     * AI识别结果
     */
    public void setAiResult(String aiResult) {
        this.aiResult = aiResult;
    }

    /**
     * AI识别结果
     */
    public String getAiResult() {
        return aiResult;
    }

    /**
     * AI用时
     */
    public void setAiTimeUsed(Integer aiTimeUsed) {
        this.aiTimeUsed = aiTimeUsed;
    }

    /**
     * AI用时
     */
    public Integer getAiTimeUsed() {
        return aiTimeUsed;
    }

    /**
     * AI数据
     */
    public void setAiData(String aiData) {
        this.aiData = aiData;
    }

    /**
     * AI数据
     */
    public String getAiData() {
        return aiData;
    }

    public void setCreateDate(Timestamp createDate) {
        this.createDate = createDate;
    }

    public Timestamp getCreateDate() {
        return createDate;
    }

    public Integer getPigQuantity() {
        return pigQuantity;
    }

    public void setPigQuantity(Integer pigQuantity) {
        this.pigQuantity = pigQuantity;
    }

    @Override
    public String toString() {
        return "ImagePathEntity{" +
                "id=" + id +
                ", name='" + name + '\'' +
                ", imgPath='" + imgPath + '\'' +
                ", relativePath='" + relativePath + '\'' +
                ", fileName='" + fileName + '\'' +
                ", effective=" + effective +
                ", aiResult='" + aiResult + '\'' +
                ", aiTimeUsed=" + aiTimeUsed +
                ", aiData='" + aiData + '\'' +
                ", createDate=" + createDate +
                ", pigQuantity=" + pigQuantity +
                '}';
    }
}
