package com.huimv.process.service;

import com.alibaba.fastjson.JSONObject;

import java.io.IOException;
import java.sql.Timestamp;

public interface IImageService {

    /**
     * @Method      : saveImage
     * @Description : 
     * @Params      : [imageBase64, imgPath]
     * @Return      : void
     * 
     * @Author      : ZhuoNing
     * @Date        : 2021/1/20       
     * @Time        : 15:51
     */
    public JSONObject saveImage(String imageBase64, String name);
//    public boolean saveImage(String imageBase64, String name);

    /**
     * @Method      : addImage
     * @Description : 
     * @Params      : [name, imgPath, relativePath, fileName]
     * @Return      : boolean
     * 
     * @Author      : ZhuoNing
     * @Date        : 2021/1/21       
     * @Time        : 14:23
     */
    boolean addImage(String name, String imgPath, String relativePath, String fileName, String aiResult, int aiTimeUsed, String aiData, Timestamp createTime,int pigQuantity);

    /**
     * @Method      : getAIResult2
     * @Description : 获取AI识别结果
     * @Params      : [imgPath]
     * @Return      : java.lang.String
     * 
     * @Author      : ZhuoNing
     * @Date        : 2021/1/21       
     * @Time        : 16:18
     */
    String getAiResult2(String imgPath) throws IOException;

    /**
     * @Method      : getAiResult
     * @Description : 
     * @Params      : [imgPath, fileName]
     * @Return      : com.alibaba.fastjson.JSONObject
     * 
     * @Author      : ZhuoNing
     * @Date        : 2021/1/21       
     * @Time        : 19:55
     */
    JSONObject getAiResult(String imgPath,String fileName) throws IOException;
}
